=== debian/control ===
Source: open-amulet
Section: devel
Priority: optional
Maintainer: James R. Van Zandt <jrv@debian.org>
Build-Depends: debhelper, xlibs-dev, gcc-3.0
Standards-Version: 3.5.6

Package: open-amulet-dev
Architecture: any
Section: devel
Depends: libamulet4
Description: Development files for OpenAmulet, a GUI toolkit
 This package contains the header files and the development library
 for OpenAmulet. Install this package if you wish to develop your own
 programs using the OpenAmulet toolkit.
 .
 The OpenAmulet Toolkit is a portable toolkit designed for the
 creation of 2D direct manipulation graphical user interfaces. It is
 written in C++ and can be used with Unix systems running the X Window
 System (Motif look), PC's running Microsoft Windows NT or `95 (native
 look), or Macintosh systems running MacOS (native look). 
 .
 The Amulet research project in the School of Computer Science at
 Carnegie Mellon University is creating a comprehensive set of tools
 which make it significantly easier to create graphical,
 highly-interactive user interfaces. The lower levels of Amulet are
 called the `Amulet Toolkit,' and these provide mechanisms that allow
 programmers to code user interfaces much more easily.  Support is
 provided for: object selection, save/load, undo, and constraints.
 .
 As the group at Carnegie Mellon University is no longer funded for
 its work on Amulet, some Amulet users have founded the OpenAmulet
 project which has continued its development.
 .
 For more information, see http://www.openip.org and 
 http://www.cs.cmu.edu/~amulet/

Package: open-amulet-images
Architecture: all
Section: devel
Depends: 
Description: image files for OpenAmulet, a GUI toolkit
 This package contains the image files needed by certain OpenAmulet
 programs.
 .
 The OpenAmulet Toolkit is a portable toolkit designed for the
 creation of 2D direct manipulation graphical user interfaces. It is
 written in C++ and can be used with Unix systems running the X Window
 System (Motif look), PC's running Microsoft Windows NT or `95 (native
 look), or Macintosh systems running MacOS (native look). 
 .
 The Amulet research project in the School of Computer Science at
 Carnegie Mellon University is creating a comprehensive set of tools
 which make it significantly easier to create graphical,
 highly-interactive user interfaces. The lower levels of Amulet are
 called the `Amulet Toolkit,' and these provide mechanisms that allow
 programmers to code user interfaces much more easily.  Support is
 provided for: object selection, save/load, undo, and constraints.
 .
 As the group at Carnegie Mellon University is no longer funded for
 its work on Amulet, some Amulet users have founded the OpenAmulet
 project which has continued its development.
 .
 For more information, see http://www.openip.org and 
 http://www.cs.cmu.edu/~amulet/

Package: libamulet4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: A GUI toolkit for X11, Macintosh and Windows 95/98/NT
 This is the runtime library required to run applications using the
 OpenAmulet toolkit.
 .
 The OpenAmulet Toolkit is a portable toolkit designed for the
 creation of 2D direct manipulation graphical user interfaces. It is
 written in C++ and can be used with Unix systems running the X Window
 System (Motif look), PC's running Microsoft Windows NT or `95 (native
 look), or Macintosh systems running MacOS (native look).
 .
 The Amulet research project in the School of Computer Science at
 Carnegie Mellon University is creating a comprehensive set of tools
 which make it significantly easier to create graphical,
 highly-interactive user interfaces. The lower levels of Amulet are
 called the `Amulet Toolkit,' and these provide mechanisms that allow
 programmers to code user interfaces much more easily.  Support is
 provided for: object selection, save/load, undo, and constraints.
 .
 As the group at Carnegie Mellon University is no longer funded for
 its work on Amulet, some Amulet users have founded the OpenAmulet
 project which has continued its development.
 .
 For more information, see http://www.openip.org and 
 http://www.cs.cmu.edu/~amulet/
